local NAME, addon = ...

local locales = {
	enUS = {
		anchor = "Group Rolls",
		config_panels = {
			options = "Options"
		},
		config_groups = {
			tracking = "Roll Tracking",
		},
		config = {
			text_outline = "Outline text",
			role_icon = "Show role icons",
			scale = "Scale",
			direction = "Growth direction",
			small = "Small",
			large = "Large",
			roll_width = "Roll frame width",
			roll_button_size = "Roll button size",
			track_all = "Track all rolls",
			track_player_roll = "Track items you roll on",
			track_by_threshold = "Track items by minimum quality"
		}
	},
	-- Possibly localized
	ptBR = {},
	frFR = {},
	deDE = {},
	koKR = {},
	esMX = {},
	ruRU = {},
	zhCN = {},
	esES = {},
	zhTW = {},
}

-- Automatically inserted translations
-- See: http://wow.curseforge.com/addons/xlootgroup/localization/ to create or fix translations
locales.ptBR.config = {
}
locales.ptBR.config_panels = {
}

locales.frFR.config = {
}
locales.frFR.config_panels = {
}

locales.deDE.config = {
}
locales.deDE.config_panels = {
}

locales.koKR.config = {
}
locales.koKR.config_panels = {
}

locales.esMX.config = {
}
locales.esMX.config_panels = {
}

locales.ruRU["roll_anchor"] = "Выборы группы" -- Needs review
locales.ruRU["watch_anchor"] = "Слежение бросков" -- Needs review
locales.ruRU.config = {
	direction = "Направление роста", -- Needs review
	large = "Большой", -- Needs review
	scale = "Масштаб", -- Needs review
	small = "Маленький", -- Needs review
	text_outline = "Контур текста", -- Needs review
}
locales.ruRU.config_panels = {
	options = "Настройки", -- Needs review
}

locales.zhCN["roll_anchor"] = "队伍Roll点" -- Needs review
locales.zhCN["watch_anchor"] = "Roll点追踪" -- Needs review
locales.zhCN.config = {
	direction = "增强方向", -- Needs review
	large = "大", -- Needs review
	roll_button_size = "Roll点按钮大小", -- Needs review
	roll_width = "Roll点框体宽度", -- Needs review
	scale = "缩放", -- Needs review
	small = "小", -- Needs review
	text_outline = "文字描边", -- Needs review
	track_all = "追踪所有Roll点", -- Needs review
	track_by_threshold = "按最低品质追踪物品", -- Needs review
	track_player_roll = "追踪你Roll的物品", -- Needs review
}
locales.zhCN.config_panels = {
	options = "选项", -- Needs review
}

locales.esES.config = {
}
locales.esES.config_panels = {
}

locales.zhTW.config = {
}
locales.zhTW.config_panels = {
}


local L = locales[GetLocale()] and locales[GetLocale()] or locales.enUS
if L ~= locales.enUS then
	setmetatable(L, { __index = locales.enUS })
	for k, v in pairs(L) do	
		if type(v) == 'table' then
			setmetatable(v, { __index = locales.enUS[k] })
		end
	end
end
addon.L = L
